skanlite (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:45:39 +0200

skanlite (25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Apr 2025 16:17:54 +0200

skanlite (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 16:20:54 +0100

skanlite (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.
  * Use dh-sequence-kf6.
  * Specify building with QT6.
  * Update Standards-Version to 4.7.0 (no changes needed).
  * Override lintian W: no-manual-page.
  * Refresh copyright info.

  [ Aurélien COUDERC ]
  * Actually use dh-sequence-kf6.
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 22:51:36 +0200

skanlite (23.04.3-1) UNRELEASED; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (23.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 16 Jul 2023 10:59:19 +0200

skanlite (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:30 +0100

skanlite (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:08:27 +0100

skanlite (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Added myself to the uploaders.
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:14:53 +0100

skanlite (21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 13:06:00 +0100

skanlite (21.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * CI: disable the blhc job.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Sat, 09 Oct 2021 00:09:35 +0200

skanlite (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release within KDE Gears (21.08.1).
  * Update watch file.
  * Add upstream signing key.
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Add myself to uploaders.
  * Bump standards version, no changes necessary.
  * Change maintainer to Debian Qt/KDE Maintainers.
  * Update build-dependencies according to cmake.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 11:13:28 +0900

skanlite (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.7.0
    - bump KF packages to 5.55.0
  * Add the configuration for the CI on salsa.
  * Remove debian/source/local-options: it only has "unapply-patches", and
    there have not been patches for a long time.
  * Remove the skanlite man page, and its German translation: they have been
    in the packaging for a decade, with no changes on them; also they are in
    a format not exactly nice to maintain (groff). In case there is any
    interest, they better be requested to upstream, so they can be maintained
    and translated there.
  * Remove the manually added linker flags:
    - --no-undefined is generally not needed, and if so it is better set by
      the upstream build system
    - --as-needed is done by the recent Debian binutils

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jul 2020 21:06:46 +0200

skanlite (2.1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Update upstream project website URL.
  * Fix Salsa project URLs in Vcs-* fields.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Drop transition for old debug package migration.
  * Migrate debian/copyright to machine readable format (DEP-5).
  * Bump Standards-Version to 4.5.0: add Rules-Requires-Root: no.
  * Remove obsolete DH_ALWAYS_EXCLUDE from debian/rules.
  * Add hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 16 Feb 2020 00:10:17 +0100

skanlite (2.1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file to https.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove the libkf5textwidgets-dev build dependency, no more needed now.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Explicitly add the gettext build dependency.
  * Remove trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Apr 2018 18:10:49 +0200

skanlite (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Remove debian/source/options, so the default compression for the debian
    tarball is used.
  * Stop replacing kooka, since it is long gone.
  * Slightly touches to the descriptions: remove the "KDE 4" bits, and stop
    mentioning Kooka.

 -- Pino Toscano <pino@debian.org>  Sat, 03 Dec 2016 13:56:56 +0100

skanlite (2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update patches:
    - add_upstream_changelog.patch: drop, obsolete, and not something we want
      to keep carrying manually
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, and libksane-dev
    - add qtbase5-dev, extra-cmake-modules, libkf5coreaddons-dev,
      kdoctools-dev, libkf5i18n-dev, kio-dev, libkf5sane-dev,
      libkf5textwidgets-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the cmake build dependency to >= 2.8.12, according to the upstream
    build system.
  * Remove skanlite-dbg in favour of the -dbgsym packages.
  * Since there is only a single binary, remove skanlite.install and stop
    passing --list-missing to dh_install: everything is installed directly.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jun 2016 09:23:25 +0200

skanlite (1.0-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Mon, 13 May 2013 21:25:28 +1000

skanlite (1.0-1) experimental; urgency=low

  * New Upstream Release
    - Fixes "Please update skanlite to 0.9" (Closes: #694467)
    - Fixes "Version 0.7 according to About" (Closes: #668417)
  * Fix "hardening flags" exported DEB_LDFLAGS_MAINT_APPEND (Closes: #669186)

 -- Mark Purcell <msp@debian.org>  Sun, 03 Mar 2013 09:59:27 +1100

skanlite (0.8-2) unstable; urgency=low

  The "Curtain of Light" release.

  * debian/control:
    - B-D on libpng-dev. (Closes: #662503)
    - Bump Standards-Version to 3.9.3, no further changes required.
    - Bump B-D on debhelper to >= 9, it's released now.
  * debian/source.lintian-overrides: Deleted (debhelper v9 is out).

 -- Kai Wasserbäch <curan@debian.org>  Tue, 13 Mar 2012 19:26:38 +0100

skanlite (0.8-1) experimental; urgency=low

  The "Divine Light" release.

  * New upstream release.
  * debian/compat: Updated for debhelper 9 compatibility.
  * debian/control:
    - Updated for debhelper 9 compatibility.
    - Bumped Standards-Version to 3.9.2, no further changes needed.
    - Bumped B-D on libksane-dev, we need initGetDeviceList in KSaneWidget.
  * debian/rules:
    - Updated for debhelper 8+ compatibility.
    - Added "--parallel" to dh_auto_configure invocation.
  * debian/source.lintian-overrides: Added (only temp. until dh v9 is
    released).
  * debian/gbp.conf: Ensure tag signing.
  * debian/patches/add_upstream_changelog.patch: Updated.
  * debian/copyright: Updated.

 -- Kai Wasserbäch <curan@debian.org>  Fri, 06 Jan 2012 16:02:57 +0100

skanlite (0.7-2) unstable; urgency=low

  The "Bathe in Light" release.

  * debian/rules: Added .PHONY line, found by Sylvain Le Gall.
  * debian/watch: use SF redirector again (was apparently fixed).
  * debian/source.lintian-overrides: Deleted (as watch file uses SF redirecor
    again).
  * debian/control:
    - DMUA removed, I'm a DD now.
    - Changed my e-mail address.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 07 Feb 2011 16:47:07 +0100

skanlite (0.7-1) experimental; urgency=low

  The "Blinding Light" release.

  * New upstream release fixing a regression.
  * debian/rules:
    - Added --list-missing.
    - Added "--dbg-package=skanlite-dbg".
    - Removed get-orig-source and print-version. uscan should be able to fetch
      the upstream version.
  * debian/control:
    - Added skanlite-dbg entry.
    - Added "Suggests: skanlite-dbg" to skanlite's entry.
    - Changed Vcs-* entries to point to the new Git location.
  * debian/watch:
    - Added "debian git-import-orig".
    - Added a backslash for escaping.
  * debian/gbp.conf: Ensure pristine-tar is used.
  * debian/source.lintian-overrides: Updated.
  * debian/skanlite.install: Added.
  * debian/patches/add_upstream_changelog.patch: Updated.

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 17 Dec 2010 13:06:25 +0100

skanlite (0.6-1) experimental; urgency=low

  The "Terra Eternal" release.

  * New upstream release (LP: #588231)
  * debian/control:
    - Bumped Standards-Version to 3.9.1, no further changes needed.
    - Updated Homepage field.
    - Added libpng12-dev to B-D.
  * debian/rules: Added --parallel to dh invocation.
  * debian/source:
    - options: Added to ensure BZip2 compression.
    - local-options: Added with "unapply-patches" in preparation for migration
      to Git.
  * debian/watch: Updated for new location on SF (custom rule as redirector
    doesn't work).
  * debian/patches/add_upstream_changelog.patch: Updated.
  * debian/source.lintian-overrides: Added (consequence of the custom SF watch
    file).

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 26 Nov 2010 13:21:43 +0100

skanlite (0.4-kde4.4.0-2) unstable; urgency=low

  The „Urge to Feed“ release.

  * debian/rules:
    - Construct the URL for the get-orig-source and print-version targets
      dynamically.
    - No longer convert from BZip2 compressed tarball to GZip compression in
      get-orig-source (source format 3.0 makes that superfluous).
  * debian/control:
    - DM-Upload-Allowed set to yes.
    - Bumped Build-Depends on pkg-kde-tools to >= 0.9 for ensured "3.0
      (quilt)" support.
    - Bumped Standards-Version to 3.9.0, no further changes needed.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 28 Jun 2010 21:23:30 +0200

skanlite (0.4-kde4.4.0-1) unstable; urgency=low

  The „Black Knight“ release.

  [ Kai Wasserbäch ]
  * New upstream release
  * debian/skanlite.lintian-overrides: Removed, no longer needed.
  * debian/watch: Rewritten. This gets us a permanently working watch file.
  * debian/control:
    - Bumped Standards-Version to 3.8.4, no further changes needed.
    - Improved long description.
  * debian/patches:
    - fix_ftbfs_gcc-4.5.patch: Removed, merged upstream.
    - add_upstream_changelog.patch: Added; found by Lintian; generated with
      svn2cl.

  [ Mark Purcell ]
  * debian/rules add get-orig-source & print-version targets

 -- Mark Purcell <msp@debian.org>  Sat, 13 Feb 2010 08:57:35 +1100

skanlite (0.3-kde4.3.1-3) unstable; urgency=low

  The »Haunting Echoes« release.

  * debian/skanlite.de.1: Added a missing character.
  * debian/patches:
    - fix_ftbfs_gcc-4.5.patch:
      + Added. (Closes: #565096)
      + Fix Skanlite to build with stricter g++ 4.5 (not released yet).
      + Thanks to Matthias Klose for the report.

 -- Kai Wasserbäch <debian@carbon-project.org>  Sat, 16 Jan 2010 12:31:35 +1100

skanlite (0.3-kde4.3.1-2) unstable; urgency=low

  The »Wir werden sehen« release.

  * debian/source/format: Added with »3.0 (quilt)«.
  * debian/rules:
    - Removed useless setting of a variable no longer checked
      for (no CDBS used anymore).
    - Restored minimal linking by passing it the needed options to CMake.
  * debian/skanlite.de.1: Fixed a lot of typos (where is that brown paper bag
    again?).

 -- Kai Wasserbäch <debian@carbon-project.org>  Sun, 13 Dec 2009 15:05:11 +0100

skanlite (0.3-kde4.3.1-1) unstable; urgency=low

  The »Cryptic Command« release.

  * New upstream release.
  * debian/control:
    - Standard-Version is now 3.8.3, no changes needed.
    - Versioned Build-Depends for debhelper and pkg-kde-tools.
    - Drop cdbs from Build-Depends.
  * debian/rules: rewritten for dh7-only build.
  * debian/watch: rewritten to care for the second version part too. We
    mangled/ignored that so far, but as there are minor updates indicated by
    that, we need to check that too.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 26 Oct 2009 15:17:42 +0100

skanlite (0.3-1) unstable; urgency=low

  * Initial release (Closes: #530915)
    The combined »Article 5 Grundgesetz was murdered« and
    »KDE team and mentors appreciation« release.

  [ Mark Purcell ]
  * debian/watch -> svn-upgrade
  * Maintainer: kde-extras & add myself to uploaders
  * Section: graphics, Update Vcs
  * Switch to debian/skanlite.manpages
  * Switch to cdbs

  [ Kai Wasserbäch ]
  * debian/control: Standards-Version is now 3.8.2, no changes needed.
  * debian/copyright:
    - Use the KDE version of the GPL header.
    - doc{,-translations}: the documentation in these directories is licensed
      under the GNU GFDL 1.2 with no non-DFSG compliant parts.
  * debian/rules:
    - Ensure minimal linking (some unneeded linking we can't get around
      otherwise): set »DEB_KDE_LINK_WITH_AS_NEEDED='yes'«.
    - Remove the »rm« line from the install target, shouln't have been there
      at all. I somehow made the mistake to assume, that the symlinked
      directory should be shipped by the package too. (Where is that brown
      paper bag?)
    - Added »DEB_DH_ALWAYS_EXCLUDE« for some VCS files to be always excluded.
  * debian/watch: make the KDE version part variable too, without getting into
    the way of version comparison.
  * Manpages:
    - Added an English manpage.
    - Added a German manpage.
  * Corrected/Unified capitalisation of the program's name, it's officially
    »Skanlite«.
  * Lintian override »skanlite: arch-dep-package-has-big-usr-share« added.
    (largest part are translations (mo) and they are not really independent, if
    I remember correctly (e.g. bit ordering).

 -- Kai Wasserbäch <debian@carbon-project.org>  Sun, 05 Jul 2009 22:42:44 +0200
